# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define meadretag .Final_redhat_1
%define reltag .Final-redhat-1
%global meadversion %{version}.Final_redhat_1
%global mavenversion %{version}%{reltag}
%global mavengroup org.hibernate.common
%global artifact0 hibernate-commons-annotations
%global title %{summary}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

Summary:        Relational persistence and query service
%define maven_version 4.0.1.Final-redhat-1

Name:           hibernate3-commons-annotations
Version:        4.0.1 
Release:        3%{meadretag}.1%{?dist}.1
Epoch:          0
License:        LGPL
URL:            http://annotations.hibernate.org/
Group:          Development/Libraries/Java

%if %with mead
Source100: org.hibernate.common-hibernate-commons-annotations-4.0.1.Final-redhat-1-sources.zip
Source101: org.hibernate.common-hibernate-commons-annotations-4.0.1.Final-redhat-1-patches.zip
Source102: hibernate-commons-annotations-4.0.1.Final-redhat-1-tests.jar
Source103: hibernate-commons-annotations-4.0.1.Final-redhat-1.jar
Source104: hibernate-commons-annotations-4.0.1.Final-redhat-1-javadoc.jar
Source105: hibernate-commons-annotations-4.0.1.Final-redhat-1-sources.jar
Source106: hibernate-commons-annotations-4.0.1.Final-redhat-1.pom
%endif


BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Hibernate Commons Annotations is a utility project used by annotations based
Hibernate sub-projects.
It's first scope is to support Java Generics type discovery.
It's second scope is to support Java Annotations overriding through XML files
(mainly but not conceptually limited to)

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils
 
%description javadoc
 API documentation for %{name}.


%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if %without mead
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}
#%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-javadoc.jar %{buildroot}%{_javadir}
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}
%else
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{mavenversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{mavenversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if %without mead
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%else
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%endif
# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{mavenversion} JPP %{artifact0}

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%if %without mead
%{__unzip} -qq %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%else
%{__unzip} -qq %{_sourcedir}/%{artifact0}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%endif
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/META-INF
%{__ln_s} %{name}-%{mavenversion} %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*/*.jar
# %exclude %{_javadir}*/%{name}/*-javadoc.jar
#%exclude %{_javadocdir}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}


%changelog
* Mon Jun 11 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.0.1-3.Final_redhat_1.1.1
- Rebuild for RHEL-5

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.0.1-2.Final_redhat_1.1.1
- Rebuild using cache signing

* Fri Mar 23 2012 Hui Wang <huwang@redhat.com> - 0:4.0.1-2.Final_redhat_1.1
- New wrapper
- Fix installation path
- Fix release tag

* Mon Dec 05 2011 Strong Liu <stliu@redhat.com> - 0:4.0.1-1.5
- Upgrade to 4.0.1.Final

* Tue Nov 15 2011 Strong Liu <stliu@redhat.com> - 0:4.0.0-1.4
- Upgrade to 4.0.0.Final

* Wed Oct 21 2011 Strong Liu <stliu@redhat.com> - 0:4.0.0-1.3
- Wrapping for RPM.

* Wed Oct 19 2011 Strong Liu <stliu@redhat.com> - 0:4.0.0-1.2
- Upgrade to 4.0.0.CR2

* Tue Sep 06 2011 Strong Liu <stliu@redhat.com> - 0:3.2.0-1.1
- Patched by vman

* Thu Jun 2 2011 Strong Liu <stliu@redhat.com> - 0:3.2.0-1.0
- Change to a simple spec template, using mead here

* Wed Jan 05 2011 Hui Wwang <huwang@redhat.com> - 0:3.1.0-1.8
- Fix %%files for signed jars
- Add deploy command in repolib and add BR maven-deploy-plugin

* Sat Aug 07 2010 Strong Liu <stliu@redhat.com> - 0:3.1.0-1.7
- Rebuild

* Wed Apr 21 2010 Hui Wang <huwang@redhat.com> - 0:3.1.0-1.6
- Change export JAVA_HOME=/usr/lib/jvm/java-1.5.0 to export JAVA_HOME=/usr/lib/jvm/java-1.6.0
- Rebuild to generate signed jar

* Mon Apr 19 2010 Luiz Barreiros <gbarreir@redhat.com> - 0:3.1.0-1.5
- Rebuild

* Sat Jan 30 2010 Strong Liu <stliu@redhat.com> - 0:3.1.0-1.4
- Add pom to repolib

* Thu Jan 21 2010 Strong Liu <stliu@redhat.com> - 0:3.1.0-1.3
- Fix hibernate3-ejb-persistence-3.0-api version to 1.0.2

* Mon Jul 20 2009 Strong Liu <stliu@redhat.com> - 0:3.1.0-1.2
- Change the source jars name to *-sources.jar
- Update copyrights to 2009
* Sat Jul 18 2009 Gail Badner <gbadner@redhat.com> - 0:3.1.0-1.1
- First release for RHEL-4-EP-5
